Account
Generate new Bitcoin address
POST
/account/address/bitcoinPrivateGenerate a new Bitcoin deposit address. Without format, the address uses the format of your settings. Fails with BAD_REQUEST when you already have more than 10 unused addresses.
Permissions: account:deposits:write
application/json- body
format?stringThe format of the address
Value in
"p2wpkh""p2tr"OK
application/json- response
address*stringThe generated Bitcoin address
createdAt*stringThe creation time of the address
Format
date-timeimport { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.account.addBitcoinAddress({}){
"address": "bc1q...",
"createdAt": "2026-11-09T17:08:56.139Z"
}Get unused Bitcoin address GET
Get your most recently generated Bitcoin deposit address that has not received a deposit yet. If you have none, a new one is generated in the format of…
Get notifications GET
Get your notifications: the unread ones by default, the read ones with read=true. Paginated, newest first.